<?php 
  include("../scripts/connect.php");
   $conexion=conecta_default();
include_once("../scripts/session.php");
   //Validar Session

    $sesion=new Sesion("","","");/*Se crea un objeto nuevo con el privilegio necesario para la pag. actual*/

    if(!$sesion->isValida("4")){ /*Sesion invalida*/

	 header("Location: ../index.php?err=NoSesion");

    }/*no hay sesion*/

    else{

       $dato=explode("|",$_SESSION['usuario']);
       $sesion->setDatos($dato[0],$dato[1],$dato[2]);
       $sesion->setSesion();

    }
    //fin validar session
	   $id_cd=$sesion->id;
extract($_POST);

$continuar=0;


$qp3 = "select usuarios_ci_idusuarios_ci, centros_idcd, status from transacciones join depositos on transacciones.idtransacciones=depositos.transacciones_idtransacciones where idtransacciones=$trans";
   $cp3 = mysql_query($qp3) or die ('Error (Registro No Encontrado): ' . mysql_error());
$rp3 = mysql_fetch_object($cp3);	
	$realiza = $rp3->usuarios_ci_idusuarios_ci;
	$entrega = $rp3->centros_idcd;
    $statusped = $rp3->status;

$qp31 = "select nombre from usuarios_ci where idusuarios_ci=$realiza";
   $cp31 = mysql_query($qp31) or die ('Error (Registro No Encontrado): ' . mysql_error());
$rp31 = mysql_fetch_object($cp31);	
	$nomrealiza = $rp31->nombre;
	
$qp32 = "select nombre from usuarios_ci where idusuarios_ci=$entrega";
   $cp32 = mysql_query($qp32) or die ('Error (Registro No Encontrado): ' . mysql_error());
$rp32 = mysql_fetch_object($cp32);	
	$nomentrega = $rp32->nombre;
 
$qPP = "select id_prod, nombreProd, cant from pedido join productos on pedido.productos_idprod=productos.id_prod where transacciones_idtransacciones=$trans order by nombreProd";

$rPP = mysql_query($qPP) or die ('ErrPP: '. mysql_error());



echo "<center><br><font color=\"#000099\" size=\"+1\"><b>Informaci&oacute;n de Pedido de stock</b></font><br><br>
Pedido Realizado por: <b>$nomrealiza</b><br><br>
Pedido Entregado/A entregar por: <b>$nomentrega</b><br><br>
Estatus del Pedido: <b>$statusped</b><br>";
  switch($statusped) 



				{

					case 'ENTREGADO': echo"EL Pedido a sido descontado del centro $entrega<br>y se haagregado al stock del centro $realiza<br><br>"; break;

					case 'AUTORIZADO': echo"EL Pedido a sido descontado del centro $entrega<br>pero no ha sido agregado al stock del centro $realiza<br><br>"; break;

					case 'PENDIENTE': echo"EL Pedido no sido descontado del centro $entrega<br>y tampoco se ha agregado al stock del centro $realiza<br><br>"; break;

								}	




echo"<table border=\"1\">
<th>ID</th><th>Descripci&oacute;n</th><th>Cantidad</th>";



while (($objetoPP=mysql_fetch_object($rPP)) )

{

	echo "<tr>

	
			<td align=\"center\">$objetoPP->id_prod</td> <td align=\"center\">$objetoPP->nombreProd</td>
			
			<td align=\"center\" bgcolor=\"#e8d78d\">$objetoPP->cant</td>

		

		  </tr> 

		 ";
   

}
echo"</table>";


?>

